#
# spec file for package rubygem-sexp_processor-3_2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-sexp_processor-3_2
Version:        3.2.0
Release:        12.1
%define mod_name sexp_processor
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Url:            https://github.com/seattlerb/sexp_processor
Source:         %{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        sexp_processor branches from ParseTree bringing all the generic sexp processing tools with it
License:        MIT
Group:          Development/Languages/Ruby

%description
sexp_processor branches from ParseTree bringing all the generic sexp
processing tools with it. Sexp, SexpProcessor, Environment, etc... all
for your language processing pleasure.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
# MANUAL
perl -p -i -e 's|#!\S+|#!/usr/bin/ruby|g' %{buildroot}%{_libdir}/*/gems/*/gems/%{mod_full_name}/test/*
# /MANUAL


%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test

%changelog
* Wed Sep 10 2014 mrueckert@suse.de
- added gem2rpm.yml as source
* Wed Sep 10 2014 mrueckert@suse.de
- added a small scriptlet to fix the shebang line of the test
  scripts.
- also added a gem2rpm.yml for later, but did not regenerate the
  specfile just yet.
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to get correct provissions
* Mon Jul 16 2012 jreidinger@suse.com
- provide sexp_processor-3 and sexp_processor with correct version
* Sun Jul 15 2012 coolo@suse.com
- update to 3.2.0
  * 5 minor enhancements:
  * Added a ton of block arg tests.
  * Added add19_edgecases to help refactor a bunch of tests that all have the same output.
  * Added better debugging output for rewrites.
  * Cleaned and added a bunch of stabby proc tests.
  * Moved RawParseTree test data to ParseTree project.
  * 2 bug fixes:
  * Fixed a bunch of entries for r2r changes against edgecase parse/lex tests
  * Fixes for R2R
* Thu Mar 22 2012 saschpe@suse.de
- Update to version 3.1.0:
  * Added test_call_arglist_trailing_comma__19 (presidentbeef)
  * Added test_fcall_inside_parens. (presidentbeef)
  * Added test_if_args_no_space_symbol__18. (presidentbeef)
  * Added tests for new hash syntax and ternaries in 1.9 (lastobelus)
* Mon Sep  6 2010 mrueckert@suse.de
- update to version 3.0.5
  * Added in_context to clean up code.
  * optimize inspect to avoid needlessly caching @line
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 3.0.4
  * Added line number to pretty_print output if $VERBOSE
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- updated to 3.0.3
* Mon Mar 23 2009 mrueckert@suse.de
- fix build
* Sat Jan 31 2009 dmacvicar@suse.de
- initial package
